%define		perlversion	5.10.0
%define		perlepoch	3
%define		perlname	XML-Parser

Distribution:   CCux
Packager:	Stefan Gottwald <gotti@ccux-linux.de>

Summary:	A Perl extension interface to James Clark's XML parser, expat
Name:		perl-%{perlname}
Version:	2.36
Release:	2
License:	GNU/GPL 
URL:		http://search.cpan.org/search?module=XML+Parser
Group:		Development/Perl
Source0:	%{perlname}-%{version}.tar.gz
BuildRoot:	%{_tmppath}/%{name}-buildroot

Requires:	perl = %{perlepoch}:%{perlversion}
BuildRequires:	perl = %{perlepoch}:%{perlversion}
BuildRequires:	expat-devel

%description
A Perl extension interface to James Clark's XML parser, expat
For more details see: http://search.cpan.org/search?module=XML+Parser

%prep
%setup -q -n %{perlname}-%{version}

%build
perl Makefile.PL %_prefix
make

%install
rm -Rf %{buildroot}
make install DESTDIR=%{buildroot}
# removing unwanted stuff
if [ -f %{buildroot}%_libdir/perl5/%{perlversion}/*/perllocal.pod ]; then
	rm -f %{buildroot}%_libdir/perl5/%{perlversion}/*/perllocal.pod
fi
# stripping package
find %{buildroot} -type f -exec /usr/bin/strip --strip-debug '{}' ';'

%files
%defattr(-,root,root)
%_libdir
%_mandir

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Wed Jan 02 2008 Stefan Gottwald <gotti@ccux-linux.de> 2.36-2
- Rebuild against perl 5.10.0
* Fri Dec 21 2007 Karsten Brockmann <arcam@ccux-linux.de> 2.36-1
- version update
- built against perl 5.10.0
* Wed May 17 2006 Christian Wasem <wasem@ccux-linux.de> 2.34-3
- Rebuild against perl-5.8.8
* Sun Dec 04 2005 Stefan Gottwald <gotti@ccux-linux.de> 2.34-2
- Rebuild against perl-5.8.7
* Sun Dec 04 2005 Stefan Gottwald <gotti@ccux-linux.de> 2.34-1
- Initial Release
